<?php $color_scheme = get_field('color_scheme', 'option'); ?>

<style>

<?php 
//DO NOT ADD ANYTHING BEFORE THIS RULE, OTHERWISE THE @import WILL NOT WORK
if(get_field('custom_fonts', 'option')) {
	switch(get_field('font_style', 'option')):
		case 'playball': ?>
			@import url('https://fonts.googleapis.com/css?family=Playball');
			@import url('https://fonts.googleapis.com/css?family=Lora:400,700');
			h1, h2, h3, .nav-link {
			    font-family: 'Playball', cursive !important;
			}

			body {
				font-family: 'Lora', serif;
			} ?>
		<?php break;

		case 'tangerine': ?>
			@import url('https://fonts.googleapis.com/css?family=Tangerine:400,700');
			h1, h2, h3 {
			    font-family: 'Tangerine', cursive;
			    font-weight: 700 !important;
			}

			body, .nav-link {
				font-family: 'Open Sans', sans-serif;
			} ?>
		<?php break;

		case 'poiret-one': ?>
			@import url('https://fonts.googleapis.com/css?family=Poiret+One');
			h1, h2, h3, .nav-link {
			    font-family: 'Poiret One', cursive;
			}

			body {
				font-family: 'Open Sans', sans-serif;
			} ?>
		<?php break;

		case 'bangers': ?>
			@import url('https://fonts.googleapis.com/css?family=Bangers');
			h1, h2, h3, .nav-link {
			    font-family: 'Bangers', cursive;
			}

			body {
				font-family: 'Roboto', sans-serif;
				font-weight: 300 !important;
			} ?>
		<?php break;

		case 'cinzel-decorative': ?>
			@import url('https://fonts.googleapis.com/css?family=Cinzel+Decorative:400,700,900|EB+Garamond:400,500,700');
			h1, h2, h3, .nav-link {
			    font-family: 'Cinzel Decorative', cursive;
			}

			body {
				font-family: 'EB Garamond', serif;
			} ?>
		<?php break;

		case 'patua-one': ?>
			@import url('https://fonts.googleapis.com/css?family=Patua+One');
			h1, h2, h3, .nav-link {
			    font-family: 'Patua One', cursive;
			}

			body {
				font-family: 'EB Garamond', serif;
			} ?>
		<?php break;
	
		case 'prosto-one': ?>
			@import url('https://fonts.googleapis.com/css?family=Prosto+One|Ubuntu:300,400,500,700');
			h1, h2, h3, .nav-link {
			    font-family: 'Prosto One', cursive;
			}

			body {
				font-family: 'Ubuntu', sans-serif;
			} ?>
		<?php break; ?>

	<?php endswitch;
} ?>

a {
	color: <?php echo $color_scheme; ?>;
}

<?php 

if(get_field('add_overlay', 'option') == false) { ?>
	.home__res_wrap {
		background-color: transparent !important;
	}
<?php } ?>


<?php if(get_field('background_color', 'option')) { ?>

body {
	background-color: <?=get_field('background_color', 'option');?> !important;
}

<?php } 
	
if(have_rows('navigation_menu_widget_group', 'option')) {
	while(have_rows('navigation_menu_widget_group', 'option')) {
		the_row();
		$nav_book_background = get_sub_field('background_color');
		$nav_book_color = get_sub_field('text_color'); 
	
	if (get_sub_field('background_color')) { ?>
		.qnav__boooking-btn > .nav-link {
			background-color: <?php echo $nav_book_background; ?> !important;
			color: <?php echo $nav_book_color; ?> !important;
		}
	<?php
	} 
  }
} ?>

.template-12 .qnav .menu-item-book{
	background: <?php echo $nav_book_background; ?>;
}

<?php if(have_rows('landing_page_button', 'option')) {
	while(have_rows('landing_page_button', 'option')) {
		the_row();
		$landing_btn_background = get_sub_field('background_color');
		$landing_btn_color = get_sub_field('text_color');

		if (get_sub_field('background_color')) { ?>
			.logo_holder > .home__booking-btn{
				background-color: <?php echo $landing_btn_background; ?>;
				color: <?php echo $landing_btn_color; ?>;
			}
		 <?php
	} 
  }
} ?>

.template-4 .home__booking-btn::after,
.template-7 .home__booking-btn::after {
	background-color: <?php echo $color_scheme; ?>;
	border-color: <?php echo $color_scheme; ?>;
}

.slider__tag {
	background-color: <?php echo $color_scheme; ?>;
}

.template-4 .home__booking-btn,
.template-10 .home__booking-btn,
.template-7 .home__booking-btn {
	background-color: transparent;
}

.template-10 .menu-section__button.active {
	background-color: <?php echo $color_scheme; ?>;
}

.template-7 .qmenu__tag {
    border-color: <?php echo $color_scheme; ?>;
    color: <?php echo $color_scheme; ?>;
}

.qmenu__tag,
.qmenu__item--has-tag .qmenu-item__container::before {
	background-color: <?php echo $color_scheme; ?>;
}

.btn-primary:hover,
.btn-primary:active,
.btn-primary:focus,
.btn-primary.active {
	background-color: <?php echo $color_scheme; ?>;
	border-color: <?php echo $color_scheme; ?>;
	-webkit-filter: brightness(95%);
    -moz-filter: brightness(95%);
    -ms-filter: brightness(95%);
    -o-filter: brightness(95%);
    outline: none;
}

.btn-primary, .btn-primary:hover, .btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active, .show>.btn-primary.dropdown-toggle {
	border-color: <?php echo $color_scheme; ?>;
	background-color: <?php echo $color_scheme; ?>;
}

.qnav .nav-link.active {
	border-bottom-color: <?php echo $color_scheme; ?>;
}

.type_2_header .section-title,
.type_2_header .section-subtitle {
	color: <?php echo $color_scheme; ?>
}

.home__over-logo--text {
    color: <?php the_field('color_text_over_logo', 'option') ?>;
}

.home__under-logo--text {
    color: <?php the_field('color_text_under_logo', 'option') ?>;
}

.home__logo--text {
    color: <?php the_field('color_text_logo', 'option') ?>;
}

.template-1	.qnav .nav-link.active,
.template-1	.qnav .nav-link:hover {
	color: <?php echo $color_scheme; ?>;
}

.template-6 .logo_holder button,
.template-2 .logo_holder button {
	border: 3px solid <?php echo $color_scheme; ?>;
}

.template-6 .logo_holder button:after,
.template-6 .logo_holder button:before,
.template-2 .logo_holder button:after,
.template-2 .logo_holder button:before {
	background-color: <?php echo $color_scheme; ?>;
}

.template-7 .btn-menu.active {
	color: <?php echo $color_scheme; ?> !important;
}

.template-4 .qnav .nav-link.active {
	border-bottom-color: <?php echo $color_scheme; ?> !important;
}

.template-4 .btn-book-menu::after {
    background-color: <?php echo $color_scheme; ?>;
}

.template-4 .btn-book:hover::after,
.template-4 .contact-booking .btn-primary:hover::after {
	background-color: <?php echo $color_scheme; ?> !important;
}

.template-4 .contact-booking .btn-primary:hover {
     background-color: transparent !important;
}

.template-4 .pdf-menus-cont a:hover {
	color: <?php echo $color_scheme; ?> !important;
}

.template-4 .btn-book::after,
.template-4 .contact-booking .btn-primary::after {
	background-color: <?php echo $color_scheme; ?>
}

.template-5 .btn-book {
	background-color: <?php echo $color_scheme; ?>;
}


@media (min-width: 992px) {
	.template-3 .qnav.shrink #navbarNavDropdown {
		
		opacity: 0.8;
	}

	.template-4 .gallery-section .row-carousel-controls .fas {
		background-color: <?php echo $color_scheme; ?>;
	}
}

</style>
