<?php

/**
 * Understrap functions and definitions
 *
 * @package understrap
 */

/**
 * Initialize theme default settings
 */
//require get_template_directory() . '/inc/theme-settings.php';

/**
 * Theme setup and custom theme supports.
 */
//require get_template_directory() . '/inc/setup.php';

/**
 * Load License page.
 */
require get_template_directory() . '/license-manager/license.php';

/**
 * Load ACF Bundle.
 */
require get_template_directory() . '/inc/acf-bundle.php';

/**
 * Register widget area.
 */
require get_template_directory() . '/inc/widgets.php';

/**
 * Enqueue scripts and styles.
 */
require get_template_directory() . '/inc/enqueue.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/pagination.php';

/**
 * Custom functions that act independently of the theme templates.
 */
require get_template_directory() . '/inc/extras.php';

/**
 * Customizer additions.
 */
//require get_template_directory() . '/inc/customizer.php';

/**
 * Custom Comments file.
 */
require get_template_directory() . '/inc/custom-comments.php';

/**
 * Load Jetpack compatibility file.
 */
require get_template_directory() . '/inc/jetpack.php';

/**
 * Load custom WordPress nav walker.
 */
require get_template_directory() . '/inc/bootstrap-wp-navwalker.php';

/**
 * Load WooCommerce functions.
 */
//require get_template_directory() . '/inc/woocommerce.php';

/**
 * Load Editor functions.
 */
require get_template_directory() . '/inc/editor.php';

/**
 * Load Custom Functions file
 */
require get_template_directory() . '/inc/custom-functions.php';

require get_template_directory() . '/plugin-update-checker/plugin-update-checker.php';
$myUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
	'https://sites.quandoo.com/quandoo-wp-update-server/?action=get_metadata&slug=quandoo-theme',
	__FILE__, //Full path to the main plugin file or functions.php.
	'quandoo-theme'
);

add_filter('acf/settings/show_admin', '__return_false');

add_filter('wp_nav_menu_objects', 'my_wp_nav_menu_objects', 10, 2);

function my_wp_nav_menu_objects( $items, $args ) {
	
	// loop
	foreach( $items as &$item ) {
		
		// vars
		$icon = get_field('nav_icon', $item);
		
		
		// append icon
		if( $icon ) {
			
			$item->classes[0] .= 'qnav__menu-item-logo';
			$item->title .= ' <img class="" src="'.$icon.'">';
			
		}
		
	}
	
	
	// return
	return $items;
	
}