<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package understrap
 */

$container = get_theme_mod( 'understrap_container_type' );

$selected_template = 'template-1';


if(get_field('select_template', 'option')) {
	$selected_template = explode('.png', explode('img/templates/', get_field('select_template', 'option'))[1])[0];
} ?>

<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
	<title><?php bloginfo( 'name' ); ?></title>
  	<meta name="description" content="<?php bloginfo( 'description' ); ?>">
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<meta name="mobile-web-app-capable" content="yes">
	<meta name="apple-mobile-web-app-capable" content="yes">
	<meta name="apple-mobile-web-app-title" content="<?php bloginfo( 'name' ); ?> - <?php bloginfo( 'description' ); ?>">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<link rel="shortcut icon" href="<?php echo get_stylesheet_directory_uri(); ?>/favicon.ico" type="image/x-icon">
	<link rel="icon" href="<?php echo get_stylesheet_directory_uri(); ?>/favicon.ico" type="image/x-icon">

	<?php wp_head();
	include('css/style.php'); ?>

	<style><?=the_field('custom_css', 'option'); ?></style>

	<?=the_field('custom_code', 'option');?>
</head>

<body <?php body_class(); ?> data-spy="scroll" data-target=".qnav" data-offset="150">

<div class="hfeed site <?php echo $selected_template; ?>" id="page" >

	<!-- ******************* The Navbar Area ******************* -->
	<div class="container-fluid wrapper-navbar" id="wrapper-navbar">

		<a class="skip-link screen-reader-text sr-only" href="#content"><?php esc_html_e( 'Skip to content',
		'understrap' ); ?></a>
		<div class="row">

		<nav class="col-12 navbar qnav navbar-expand-lg navbar-fixed-top" role="navigation">

		<?php if ( 'container' == $container ) : ?>
			<div class="container">
		<?php endif; ?>

				<!-- Your site title as branding in the menu -->

				<?php $image = get_field('upload_logo','option');
                if ($image) { 
                	if (get_field('display_custom_logo_file', 'option') == 'navigation' OR get_field('display_custom_logo_file', 'option') == 'both') { ?>
                		<a class="navbar-brand" rel="home" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>">
                    		<img class="logo" src="<?php echo $image; ?>" /><br>
                    	</a>
                <?php } } 
				
				if (get_field('display_custom_logo_text', 'option') == 'navigation' OR get_field('display_custom_logo_text', 'option') == 'both') {
                	if (get_field('logo_text', 'option') and !$image) { ?>
                		<a class="navbar-brand" rel="home" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>">
                			<h3><?php the_field('logo_text', 'option'); ?></h3>
                		</a>
                	<?php }
                	else if (get_field('logo_text', 'option') and $image) {
	                	if (get_field('display_custom_logo_file', 'option') == 'center') { ?>
	                		<a class="navbar-brand" rel="home" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>">
	                			<h3><?php the_field('logo_text', 'option'); ?></h3>
	                		</a>
	                	<?php }
                	}
           		} ?>

           				
				<?php
				$contact_locations = get_field('locations', 'option');
                $firstLocationBCID = $contact_locations[0]['business_center_id'];

	        	if(get_field('booking_widget_color_theme', 'option')) {
	        		$wtheme = get_field('booking_widget_color_theme', 'option');
	        	} else {
	        		$wtheme = 'brand';
	        	}
            
            if(have_rows('locations', 'option') and sizeof($contact_locations) > 1) { ?>

            	<script>
	                var menuBookBtn = `<li id="menu-item-book-multi" class="acf-menu-item menu-item menu-item-type-custom menu-item-object-custom menu-item-has-children nav-item menu-item-book menu-item-book-multi dropdown qnav__boooking-btn qnav__boooking-btn--multi">
	                	<a title="Book online with Quandoo" data-toggle="dropdown" class="nav-link dropdown-toggle" aria-expanded="false">
	                		<i class="far fa-calendar-alt"></i> <?=the_field('reservation_button_text', 'option'); ?>
	                		<span class="caret"></span>
	                	</a>
						<ul class="dropdown-menu" role="menu">
	                        <?php while(have_rows('locations', 'option')) { 
	                            the_row(); 
	                            if(get_sub_field('business_center_id')) { ?>
	                            	<li id="menu-item-book-<?=get_sub_field('business_center_id'); ?>" class="acf-menu-item menu-item menu-item-type-custom menu-item-object-custom nav-item">
										<a title="<?=get_sub_field('location_name'); ?>" class="quandoo-widget-builder-link quandoo-merchant-<?php the_sub_field('business_center_id') ?> quandoo-theme-<?php echo $wtheme; ?> quandoo-agent-109 nav-link"><?=get_sub_field('location_name'); ?></a>
							</li>
	                            <?php } ?>

	                            
	                        <?php } ?>
	                    </ul>
					</li>`;
					$(document).ready(function() {
	                	$('#top-menu').append(menuBookBtn);
	                });
				</script>

            <?php } else { 

					if(have_rows('navigation_menu_widget_group', 'option')) {
					    while(have_rows('navigation_menu_widget_group', 'option')) {
					        the_row();

					        if(get_sub_field('activate')) {	?>
					            <script>
					                var menuBookBtn = `<li class="menu-item menu-item-type-custom menu-item-object-custom nav-item menu-item-book dropdown qnav__boooking-btn">
					                		<span title="Book online with Quandoo" class="quandoo-widget-builder-link quandoo-merchant-<?php echo $firstLocationBCID; ?> quandoo-theme-<?php echo $wtheme; ?> quandoo-agent-109 quandoo-complete-onReservationComplete nav-link"><i class="far fa-calendar-alt"></i> <?php the_field('reservation_button_text', 'option'); ?></span></li>`;
					                $(document).ready(function() {
					                	$('#top-menu').append(menuBookBtn);
					                });

					            </script>

					        <?php }
					    }
					} else { ?>
						<script>
			                var menuBookBtn = `<li id="menu-item-book" class="acf-menu-item menu-item menu-item-type-custom menu-item-object-custom nav-item menu-item-book"><a title="Book online with Quandoo" class="quandoo-widget-builder-link quandoo-merchant-<?php echo $firstLocationBCID; ?> quandoo-theme-<?php echo $wtheme; ?> quandoo-agent-109 quandoo-complete-onReservationComplete nav-link"><i class="far fa-calendar-alt"></i> <?php the_field('reservation_button_text', 'option'); ?></a></li>`;
			                $(document).ready(function() {
			                	$('#top-menu').append(menuBookBtn);
			                });

			            </script>
					<?php }
				 } ?>

				<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarTogglerDemo03" aria-expanded="false" aria-label="Toggle navigation">
				    <span class="navbar-toggler-icon">
				    	<svg viewBox='0 0 30 30' xmlns='http://www.w3.org/2000/svg'><path stroke='rgba(0, 0, 0, 0.5)' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 7h22M4 15h22M4 23h22'/></svg>
				    </span>
				</button>

				<!-- The WordPress Menu goes here -->
				<?php 

                if(!is_front_page()) {
                	
			        add_filter( 'walker_nav_menu_start_el', 'my_language_link_function', 10, 4 );

			        function my_language_link_function( $item_output, $item, $depth, $args ){
			        	

			    		$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';


				        //$output .= $indent . '<li' . $id . $value . $class_names .'>';

				        $attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
				        $attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
				        $attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
				        //Your code generationg lang parameter goes here:

				        if(in_array("acf-menu-item", $item->classes)) {
				        	$attributes .= ! empty( $item->url )        ? ' href="'.get_home_url().'/'   . esc_attr( $item->url        ) .'"' : '';
				        } else {
				        	$attributes .= ! empty( $item->url )        ? ' href="'. esc_attr( $item->url        ) .'"' : '';
				        }

				        $item_output = $args->before;
				        if(in_array("menu-item-has-children", $item->classes)) {
				        	$item_output .= '<a data-toggle="dropdown" class="nav-link dropdown-toggle"'. $attributes .'>';
			        
			    		} else {
			    			$item_output .= '<a class="nav-link"'. $attributes .'>';
			    		}
				        
				        $item_output .= $args->link_before . apply_filters( 'the_title', $item->title, $item->ID ) . $args->link_after;
				        $item_output .= '</a>';
				        $item_output .= $args->after;
				        return $item_output;
					}
				} 
				wp_nav_menu(
					array(
						'theme_location'  => 'top-menu',
						'container_class' => 'collapse navbar-collapse',
						'container_id'    => 'navbarNavDropdown',
						'menu_class'      => 'navbar-nav',
						'fallback_cb'     => '',
						'menu_id'         => 'top-menu',
						'walker'          => new understrap_WP_Bootstrap_Navwalker(),
					)
				); 

				if(has_nav_menu('top-right-menu')) {
					wp_nav_menu( array( 'theme_location' => 'top-right-menu', 'container_class' => 'top-right-menu' ) ); 
				}
				
				qtranxf_generateLanguageSelectCode('short'); 
					
				if ( 'container' == $container ) : ?>

			</div><!-- .container -->
			<?php endif; ?>

			

		</nav><!-- .site-navigation --> 
	</div>


	</div><!-- .wrapper-navbar end -->
