<?php
/**
 * Understrap enqueue scripts
 *
 * @package understrap
 */

if ( ! function_exists( 'understrap_scripts' ) ) {
	/**
	 * Load theme's JavaScript sources.
	 */
	function understrap_scripts() {
		// Get the theme data.
		$the_theme = wp_get_theme();
		wp_enqueue_style( 'understrap-styles', get_stylesheet_directory_uri() . '/css/theme.min.css', array(), $the_theme->get( 'Version' ), false );
		wp_enqueue_script( 'jquery');
		wp_enqueue_script( 'popper-scripts', get_template_directory_uri() . '/js/popper.min.js', array(), true);

		wp_enqueue_script('quandoo-button', 'https://s3-eu-west-1.amazonaws.com/quandoo-website/widget-builder/quandoo-widget-builder.js', array( 'jquery' ));

		wp_enqueue_script('quandoo-reviews', 'https://s3-eu-west-1.amazonaws.com/quandoo-website/reviews-widget/reviews.js', array( 'jquery' ));

		wp_enqueue_script('quandoo-smart-offers', 'https://s3-eu-west-1.amazonaws.com/quandoo-website/smart-offers-widget/smart-offers.js', array( 'jquery' ));

		wp_enqueue_script('parallax', get_stylesheet_directory_uri() . '/js/jarallax.js#asyncload',	array( 'jquery' ));
        
        wp_enqueue_script('lightbox', get_stylesheet_directory_uri() . '/js/ekko-lightbox.js#asyncload',	array( 'jquery' ));


		wp_enqueue_script( 'understrap-scripts', get_template_directory_uri() . '/js/theme.min.js', array(), $the_theme->get( 'Version' ), true );
		if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
			wp_enqueue_script( 'comment-reply' );
		}

		wp_enqueue_script('flickity', get_stylesheet_directory_uri() . '/js/flickity.pkgd.min.js', array( 'jquery' ));

		wp_enqueue_script('scrolify', 'https://cdnjs.cloudflare.com/ajax/libs/scrollify/1.0.17/jquery.scrollify.min.js', array( 'jquery' ));

		wp_enqueue_script('script', get_stylesheet_directory_uri() . '/js/script.js', array( 'jquery' ));

		wp_enqueue_style('ekko-css', get_template_directory_uri() . '/css/ekko-lightbox.css');

		wp_enqueue_style('fa-5', 'https://use.fontawesome.com/releases/v5.0.10/css/all.css');

		wp_enqueue_style('flickity', get_template_directory_uri() . '/css/flickity.css', array('understrap-styles'));
        
        wp_enqueue_style('style-css', get_template_directory_uri() . '/css/custom.css', array('understrap-styles'));


        if(get_field('select_template', 'option')) {
        	$selected_template = explode('.png', explode('img/templates/', get_field('select_template', 'option'))[1])[0];

        	wp_enqueue_style('custom-template-css', get_template_directory_uri() . '/css/templates/'.$selected_template.'.css', array('style-css'));

		}
	}
} // endif function_exists( 'understrap_scripts' ).

add_action( 'wp_enqueue_scripts', 'understrap_scripts' );
