<?php
/**
* Template Name: Home Page
*/

get_header();

?>

<div class="wrapper" id="full-width-page-wrapper">
    <div class="container-fluid" id="content">
        <div class="row">
            <div class="col-md-12 content-area" id="primary">
                <main class="site-main homepage" id="main" role="main">
                <?php 
                if(get_field('booking_widget_color_theme', 'option')) {
                    $wtheme = get_field('booking_widget_color_theme', 'option');
                } else {
                    $wtheme = 'brand';
                } 
                $sample_pack = get_field('select_sample_data_pack', 'option');
                $sample_pack_folder = get_template_directory_uri().'/img/placeholders/'.$sample_pack.'/';

                    include('parts/slideshow.php');
                    $next_full = false;
                    $prev_full = false;  

                    $s = 0;
                    $i = 0;
                    $t = 0;
                    $p = 1; //counting sections to generate palceholder image

                    if (have_rows('website_sections', $postid)) { ?>
                        <div class="floating-scrollspy">
                            <ul class="nav">
                                <li class="nav-item">
                                    <a class="nav-link" href="#home">
                                        <span>.</span><i></i>
                                    </a>
                                </li>
                            <?php while (have_rows('website_sections', $postid)): the_row(); ?>
                                <li class="nav-item">
                                    <a class="nav-link" href="#<?php the_sub_field('unique_section_id'); ?>">
                                        <span>.</span><i></i>
                                    </a>
                                </li>
                            <?php endwhile; ?>
                            </ul>
                        </div>
                    <?php }

                    if (have_rows('website_sections', $postid)) {
                        while (have_rows('website_sections', $postid)): the_row();
                            $s++;
                            $uniqueName = get_sub_field('unique_section_id');

                            //$uniqueName = get_sub_field('section_type').'section-'.$s;
                            $anchor = '<a id="'.$uniqueName.'" class="anchor"></a>';
                            $section_type = get_sub_field('section_type');
                            $section_types = get_sub_field('section_type');
                            $section_bs = get_sub_field('section_background_style');
                            $rows = get_field('website_sections');

                            $previous_section_type = 'Last';
                            $next_section_type = 'NoNext';
                            $next_section_background = 'NoNext';
                            
                            if ($t and ($t < sizeof($rows)-1)) {
                                $previous_row = $rows[$t-1];
                                $next_row = $rows[$t+1];                
                                $previous_section_type = $previous_row['section_type']; 
                                $next_section_type = $next_row['section_type'];

                                $previous_section_full = $previous_row['full_width']; 
                                $next_section_full = $next_row['full_width'];

                                $previous_section_background = $previous_row['section_background_style']; 
                                $next_section_background = $next_row['section_background_style'];

                            } else if ($t == (sizeof($rows)-1)) {
                                $previous_row = $rows[$t-1];
                                $previous_section_type = $previous_row['section_type'];
                                $next_section_type = 'NoNext';
                                $previous_section_full = $previous_row['full_width']; 
                                $next_section_full = $next_row['full_width'];
                                $next_section_background = 'NoNext';
                                $previous_section_background = $previous_row['section_background_style'];

                            } else if (!$t and $t < (sizeof($rows)-1)){
                                $previous_section_type = 'First';
                                $previous_section_background = 'Landing';
                                if($t!==0) {
                                    $previous_section_full = $previous_row['full_width'];
                                } else {
                                    $previous_section_full = true;
                                }
                                $next_row = $rows[$t+1];
                                $next_section_type = $next_row['section_type']; 
                                $next_section_full = $next_row['full_width'];
                                $next_section_background = $next_row['section_background_style'];
                            }              


                            $p++; //counting sections to generate palceholder image
                            if ($p == 6) {
                                $p=1;
                            }       
                            switch($section_type):

                                case 'standard':
                                    $prev_section_type = $section_types;
                                    include('parts/standard.php');
                                    break;

                                case 'menu':
                                    $prev_section_type = $section_types;
                                    include('parts/menu.php');
                                    break; 

                                case 'menu_optimized':
                                    $prev_section_type = $section_types;
                                    include('parts/menu-optimized.php');
                                    break;

                                case 'category':
                                    $prev_section_type = $section_types;
                                    include('parts/category.php');
                                    break; 
                                                    
                                case 'gallery':
                                    $prev_section_type = $section_types;
                                    include('parts/gallery.php');
                                    break;

                                case 'quandoo':
                                    $prev_section_type = $section_types;
                                    include('parts/quandoo.php');
                                    break;    

                                case 'break':
                                    $prev_section_type = $section_types;
                                    include('parts/breaker.php');
                                    break;
                        
                                case 'contact':
                                    $prev_section_type = $section_types;
                                    include('parts/contact.php');
                                    break;
                            endswitch;
                            $t++;
                        endwhile;
                    } 
                ?>
                    
                </main>
                <!-- #main -->
            </div>
            <!-- #primary -->
        </div>
        <!-- .row end -->
    </div>
    <!-- Container end -->
</div>
<!-- Wrapper end -->
<?php get_footer(); ?>